﻿using System;
using System.Data;
using System.Text;
using System.Threading;
using System.Collections;

using Xoa.Virtual.Users;
using Xoa;
using Ion.Storage;
namespace Xoa.Virtual.Gangs
{
    /// <summary>
    /// Represents a job rank
    /// </summary>
    public class virtualGang
    {
        #region Declares
        internal string Name;
        internal int GangID;
        internal int Kills;
        internal int JailBreaks;
        internal int OwnTurf;
        internal int NorthTurf;
        internal int WestTurf;
        internal int SouthTurf;
        internal int EastTurf;
        internal int OwnerID;
        #endregion

        #region Constructors/destructors
        internal virtualGang(int ID)
        {

            DataRow dRow;
            using (DatabaseClient dbClient = Eucalypt.dbManager.GetClient())
            {
                dRow = dbClient.getRow("SELECT * FROM gang_corps WHERE owner = '" + ID + "'");
                this.GangID = ID;
                this.Name = Convert.ToString(dRow["gang_name"]);
                this.Kills = Convert.ToInt32(dRow["kills"]);
                this.JailBreaks = Convert.ToInt32(dRow["jailbreaks"]);
                this.OwnTurf = Convert.ToInt32(dRow["turf"]);
                this.OwnerID = Convert.ToInt32(dRow["owner"]);
                this.NorthTurf = Convert.ToInt32(dRow["north_turf"]);
                this.EastTurf = Convert.ToInt32(dRow["east_turf"]);
                this.SouthTurf = Convert.ToInt32(dRow["south_turf"]);
                this.WestTurf = Convert.ToInt32(dRow["west_turf"]);
            }
        }
        #endregion
    }
}
