﻿using System;
using System.Data;
using System.Text;
using System.Threading;
using System.Collections;

using Xoa.Virtual.Users;
using Ion.Storage;
using Xoa;
namespace Xoa.Virtual.Jobs
{
    /// <summary>
    /// Represents a job rank
    /// </summary>
    public class virtualJob
    {
        #region Declares
        internal int ID;
        internal string Name;
        internal int RankID;
        internal int CorpID;
        internal int SecureID;
        internal int ManagerRank;
        internal string MaleUniform;
        internal string FemaleUniform;
        internal bool Global;
        internal bool NoUniform;
        internal int PayOut;
        internal bool Surgery;
        internal bool HairCut;
        internal bool Arrest;
        internal bool Stun;
        internal bool Cuff;
        internal bool UnCuff;
        internal bool Heal;
        internal bool Withdraw;
        internal bool Release;
        internal bool Timeleft;
        internal bool FreeTaxi;
        internal bool EnterAnyGate;
        #endregion

        #region Constructors/destructors
        internal virtualJob(int ID)
        {
            this.SecureID = ID;
            DataRow dPow;
            using (DatabaseClient dbClient = Eucalypt.dbManager.GetClient())
            {
                dPow = dbClient.getRow("SELECT * FROM jobs_ranks WHERE id = '" + ID + "'");
                this.Name = Convert.ToString(dPow["motto"]);
                this.RankID = Convert.ToInt32(dPow["job_rank"]);
                this.CorpID = Convert.ToInt32(dPow["corp_id"]);
                this.ManagerRank = Convert.ToInt32(dPow["manager_rank"]);
                this.MaleUniform = Convert.ToString(dPow["figure_data_M"]);
                this.FemaleUniform = Convert.ToString(dPow["figure_data_F"]);
                this.PayOut = Convert.ToInt32(dPow["pay"]);
                this.Global = (Convert.ToString(dPow["global"]) == "1");
                this.NoUniform = (Convert.ToString(dPow["no_uniform"]) == "1");
                this.Surgery = (Convert.ToString(dPow["surgery"]) == "1");
                this.HairCut = (Convert.ToString(dPow["haircut"]) == "1");
                this.Arrest = (Convert.ToString(dPow["arrest"]) == "1");
                this.Stun = (Convert.ToString(dPow["stun"]) == "1");
                this.Cuff = (Convert.ToString(dPow["cuff"]) == "1");
                this.UnCuff = (Convert.ToString(dPow["uncuff"]) == "1");
                this.Heal = (Convert.ToString(dPow["heal"]) == "1");
                this.Withdraw = (Convert.ToString(dPow["heal"]) == "1");
                this.Release = (Convert.ToString(dPow["release"]) == "1");
                this.Timeleft = (Convert.ToString(dPow["timeleft"]) == "1");
                this.FreeTaxi = (Convert.ToString(dPow["freetaxi"]) == "1");
                this.EnterAnyGate = (Convert.ToString(dPow["enter_any_gate"]) == "1");

                DataColumn dCol;
                dCol = dbClient.getColumn("SELECT room_id FROM jobs_rooms WHERE corp_id = '" + CorpID + "' AND rank_id = '" + RankID + "'");
                int[] WorkRooms = dataHandling.dColToArray(dCol, null);
            }
        }
        #endregion
    }
}
